Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities
Class CommunityPropertyValue

    java.lang.Object
      com.bea.netuix.application.communities.CommunityPropertyValue

All Implemented Interfaces
  Serializable

    public class CommunityPropertyValue

extends Object
implements Serializable

CommunityPropertyValue contains a value for a community property.

The overview of community functionality contains a description of the community framework.

See Also
  Serialized Form

Constructor Summary
`CommunityPropertyValue(String value)` Constructs a community property value.

Method Summary
`CommunityPropertyValue` | `clone()`
`boolean` | `equals(Object o)`
`String` | `getValue()` Gets the value of this property.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommunityPropertyValue

    public CommunityPropertyValue(String value)

  Constructs a community property value.

Method Detail

### getValue

    public String getValue()

  Gets the value of this property.

  Returns
    the value of the this property

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### clone

    public CommunityPropertyValue clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.